@echo off

echo Waiting for Kyros...
adb.exe wait-for-device

echo Pushing root files...
adb.exe push data /data/local/tmp/
adb.exe shell chmod 0777 /data/local/tmp/mempodroid
adb.exe shell chmod 0777 /data/local/tmp/install-recovery.sh
adb.exe shell /data/local/tmp/mempodroid 0xd7cc 0xad27 sh /data/local/tmp/root.sh
echo Installing CMW recovery...
adb.exe shell sh /data/local/tmp/install-recovery.sh
adb.exe shell /system/bin/reboot-recovery
echo Finished!
pause
